> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Return editing READY/NOT_READY status for a single synonym file (or 404)



## OpenAPI

````yaml /api-reference/4.2/service-synonyms-editor.json get /collections/{collection}/synonyms/{path}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service synonyms-editor
servers:
  - url: /api/apollo/
security: []
tags:
  - name: synonyms-editor
paths:
  /collections/{collection}/synonyms/{path}:
    get:
      tags:
        - 4.2 Synonyms API
      summary: Return editing READY/NOT_READY status for a single synonym file (or 404)
      operationId: getFile
      parameters:
        - name: collection
          in: path
          description: The name of a collection
          required: true
          schema:
            type: string
        - name: path
          in: path
          description: The path to a synonym file
          required: true
          schema:
            type: string
            pattern: .*
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SynonymFile'
components:
  schemas:
    SynonymFile:
      type: object
      properties:
        path:
          type: string
        state:
          type: string
          enum:
            - NOT_READY
            - READY
            - NOT_SAVED

````